libzypp 17.37.10

zypp_private::repo::PluginRepoverification::Checker::Impl Class Reference

PluginRepoverification::Checker data storage. More...

## Public Member Functions
| Impl (RW_pointer< PluginRepoverification::Impl > parent_r, Pathname &&sigpathLocal_r, Pathname &&keypathLocal_r, RepoInfo &&repo_r)

## Public Attributes
RW_pointer< PluginRepoverification::Impl > | _parent
Pathname | _sigpathLocal
Pathname | _keypathLocal
RepoInfo | _repoinfo

## Detailed Description

PluginRepoverification::Checker data storage.

Definition at line 107 of file PluginRepoverification.cc.

## Constructor & Destructor Documentation

## ◆ Impl()

zypp_private::repo::PluginRepoverification::Checker::Impl::Impl | ( | RW_pointer< PluginRepoverification::Impl > | parent_r,
|  | Pathname && | sigpathLocal_r,
|  | Pathname && | keypathLocal_r,
|  | RepoInfo && | repo_r )
| inline

Definition at line 110 of file PluginRepoverification.cc.

## Member Data Documentation

## ◆ _parent

RW_pointer<PluginRepoverification::Impl> zypp_private::repo::PluginRepoverification::Checker::Impl::_parent

Definition at line 118 of file PluginRepoverification.cc.

## ◆ _sigpathLocal

Pathname zypp_private::repo::PluginRepoverification::Checker::Impl::_sigpathLocal

Definition at line 119 of file PluginRepoverification.cc.

## ◆ _keypathLocal

Pathname zypp_private::repo::PluginRepoverification::Checker::Impl::_keypathLocal

Definition at line 120 of file PluginRepoverification.cc.

## ◆ _repoinfo

RepoInfo zypp_private::repo::PluginRepoverification::Checker::Impl::_repoinfo

Definition at line 121 of file PluginRepoverification.cc.

The documentation for this class was generated from the following file:

- zypp/repo/PluginRepoverification.cc